/* Imported Fonts*/
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@800&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@600;800&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@600&family=Roboto:wght@300&family=Work+Sans:wght@600&display=swap');
/* DEVELOPER Alexander Boyd, IS117-003, Fall 2023 */
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* navigation bar */

#nav_bar ul {
	list-style-type: none;
	margin: 0;
	padding: 0;

}

#nav_bar ul li {
	float: left;
	text-align: center;
	position: relative;
	display: block;
    width:100%;
    max-width: 25%;
    padding: 1em 0;
    text-decoration: none;
    background-color: rgb(0, 0, 0);
    color: white;
    font-weight: bold;
    font-family: 'Open Sans', sans-serif;
}

#nav_bar li.current {
	color: rgb(255, 180, 241)
}
#nav_bar ul ul {
    display: none;
    position: absolute;
    top: 100%;
	
}
#nav_bar ul ul li {
	float: right;
}
#nav_bar ul li:hover > ul {
	display: block;
}
#nav_bar > ul::after {
    content: "";
    clear: both;
    display: block;
}

.slicknav_menu {
	display:none;
}

/* Content Area */

.ContentArea {
    width: 100%;
    height: 100vh;
    background-image: url("https://i.postimg.cc/fL546gVw/contact-me-background.jpg");
    background-size: cover;
    /*background-image:linear-gradient(rgba(12,3,51,0.3),rgba(12,3,51,0.3));*/
    position: relative;
    padding:0 5%;
    display: flex;
    align-items: center;  
    justify-content: center;
   }

  .back-video {
    position: absolute;
    right: 0;
    bottom: 0;
    z-index: -1;
  }

  @media (min-aspect-ratio: 16/9) {
    .back-video {
      width: 100%;
      height: auto;
    }
  }

/* Form Style Rules */

.ContentArea form{
    width:90%;
    width: 600px;
   }

   .form-input{
    margin-bottom: 40px;
    position: relative;
   }

   input, textarea{
    width: 100%;
    padding:10px;
    outline: 0;
    border:1px solid #FFFFFF;
    color: #FFFFFF;
    background: transparent;
    font-size: 15px;
   }

   label{
    height: 100%;
    position:absolute;
    left:0;
    top:0;
    padding:10px;
    color:#FFFFFF;
    cursor:text;
    font-family: 'Open Sans', sans-serif;
    transition:0.2s;
   }

   .ContentArea form button {
    padding: 10px 0;
    color: #fff;
    outline: none;
    background: transparent;
    width:100%;
    border: 1px solid #fff;
    cursor: pointer;
    font-family: 'Open Sans', sans-serif
   }

   input:focus~label,
   input:valid~label,
   textarea:focus~label,
   textarea:valid~label {
    top: -35px;
    font-size:14px;
   }


   